unit wincrt;
//  WINCRT Unit for DELPHI32
//  Copyright (C) 1998 - Pasquale Morvillo
//  Interface to PASW32.DLL
interface

uses System32, Windows;

var
     WindowOrg,
     WindowSize,
     ScreenSize,
     Cursor,
     Origin         : TPoint;
     InactiveTitle  : PChar;
     AutoTracking,
     CheckEOF,
     CheckBreak     : Boolean;
     WindowTitle    : array[0..79] of Char;

procedure AssignCrt(var F: Text);
procedure InitWinCrt;
procedure DoneWinCrt;
procedure WriteBuf(Buffer: PChar; Count: Word);
procedure WriteChar(Ch: Char);
function  KeyPressed: Boolean;
function  ReadKey: Char;
function  ReadBuf(Buffer: PChar; Count: Word): Word;
procedure GotoXY(X, Y: Integer);
function  WhereX: Integer;
function  WhereY: Integer;
procedure ClrScr;
procedure ClrEol;
procedure CursorTo(X, Y: Integer);
procedure ScrollTo(X, Y: Integer);
procedure TrackCursor;

implementation

procedure AssignCrt(var F: Text);
          external DLLname name '_AssignCrt';
procedure InitWinCrt;
          external DLLname name '_InitWinCrt';
procedure DoneWinCrt;
          external DLLname name '_DoneWinCrt';
procedure WriteBuf(Buffer: PChar; Count: Word);
          external DLLname name '_WriteBuf';
procedure WriteChar(Ch: Char);
          external DLLname name '_WriteChar';
function  KeyPressed: Boolean;
          external DLLname name '_KeyPressed';
function  ReadKey: Char;
          external DLLname name '_ReadKey';
function  ReadBuf(Buffer: PChar; Count: Word): Word;
          external DLLname name '_ReadBuf';
procedure GotoXY(X, Y: Integer);
          external DLLname name '_GotoXY';
function  WhereX: Integer;
          external DLLname name '_WhereX';
function  WhereY: Integer;
          external DLLname name '_WhereY';
procedure ClrScr;
          external DLLname name '_ClrScr';
procedure ClrEol;
          external DLLname name '_ClrEol';
procedure CursorTo(X, Y: Integer);
          external DLLname name '_CursorTo';
procedure ScrollTo(X, Y: Integer);
          external DLLname name '_ScrollTo';
procedure TrackCursor;
          external DLLname name '_TrackCursor';
procedure InitWinCrtW32(pWO,pWS,pSS,pC,pO,pIT, pAT, pCE, pCB,
                        pWT, pEP: pointer; HMainInst: Longint);
          external DLLname name '_InitWinCrtW32';

begin
     InitWinCrtW32(@WindowOrg,@WindowSize,@ScreenSize,@Cursor,@Origin,
                   @InactiveTitle,@AutoTracking,@CheckEOF,@CheckBreak,
                   @WindowTitle, @ExitProc, HInstance);
     AssignCrt(Input);  Reset(Input);
     AssignCrt(Output); ReWrite(Output);
end.
