{Types for WINDOS unit}
{ Flags bit masks }

const
  fCarry     = $0001;
  fParity    = $0004;
  fAuxiliary = $0010;
  fZero      = $0040;
  fSign      = $0080;
  fOverflow  = $0800;

{ File mode magic numbers }

const
  fmClosed = $D7B0;
  fmInput  = $D7B1;
  fmOutput = $D7B2;
  fmInOut  = $D7B3;

{ File attribute constants }

const
  faReadOnly  = $01;
  faHidden    = $02;
  faSysFile   = $04;
  faVolumeID  = $08;
  faDirectory = $10;
  faArchive   = $20;
  faAnyFile   = $3F;

{ Maximum file name component string lengths }

const
  fsPathName  = 79;
  fsDirectory = 67;
  fsFileName  = 8;
  fsExtension = 4;

{ FileSplit return flags }

const
  fcExtension = $0001;
  fcFileName  = $0002;
  fcDirectory = $0004;
  fcWildcards = $0008;

type
{ Typed-file and untyped-file record }

  TFileRec = record
          Handle: Integer;
          Mode: Integer;
          RecSize: Cardinal;
          Private: array[1..28] of Byte;
          UserData: array[1..32] of Byte;
          Name: array[0..259] of Char;
  end;

{ Textfile record }
  PTextBuf = ^TTextBuf;
  TTextBuf = array[0..127] of Char;
  TTextRec = record
          Handle: Integer;
          Mode: Integer;
          BufSize: Cardinal;
          BufPos: Cardinal;
          BufEnd: Cardinal;
          BufPtr: PChar;
          OpenFunc: Pointer;
          InOutFunc: Pointer;
          FlushFunc: Pointer;
          CloseFunc: Pointer;
          UserData: array[1..32] of Byte;
          Name: array[0..259] of Char;
          Buffer: TTextBuf;
  end;

{ Search record used by FindFirst and FindNext }

     TSearchRec = record
		Time: Integer;
		Size: Integer;
		Attr: Integer;
		Name: AnsiString;
		ExcludeAttr: Integer;
		FindHandle: THandle;
		FindData: TWin32FindData;
     end;

{ Date and time record used by PackTime and UnpackTime }

  TDateTime = packed record
    Year, Month, Day, Hour, Min, Sec: Word;
  end;
